Image 01
profile-image

drake1983

Ferrer Roberto La Havana, Cuba
Fancy Tasks

Plasma 4 Extensions by Emdek 570 comments

Nice Plasmoid but I can't compile it.

It's so hard to put a binary? something like drag and drop to the Plasmoid Installer ?
- Feb 27 2009
QuickAccess

Plasma 4 Extensions by mherbert 196 comments

Thanks a lot. I will try again.
I am using KDe 4.0.5. I going to install kde4-devel and other tools.

Thanks again.
- Jul 02 2008
QuickAccess

Plasma 4 Extensions by mherbert 196 comments

hi, nice work, I have followed the instructions of the guide to install plasmoid, but I got some errors:

# tar -xvf quickaccess.tar.gz
# cd quickaccess
# mkdir build
# cd build

I got:
CMake Error: The source directory "/home/roberto/quickaccess/build" does not appear to contain CMakeLists.txt.

Then, I change to the upper directory:
# cd ..
# cmake -DCMAKE_INSTALL_PREFIX=/usr/lib/kde4/

Then:
CMake Error at /usr/share/cmake-2.6/Modules/FindKDE4.cmake:72 (MESSAGE):
ERROR: cmake/modules/FindKDE4Internal.cmake not found in
/home/roberto/.kde4/share/apps;/usr/lib/kde4/share/kde4/apps
Call Stack (most recent call first):
CMakeLists.txt:5 (find_package)


CMake Warning (dev) in CMakeLists.txt:
No cmake_minimum_required command is present. A line of code such as

cmake_minimum_required(VERSION 2.6)

should be added at the top of the file. The version specified may be lower
if you wish to support older CMake versions for this project. For more
information run "cmake --help-policy CMP0000".
This warning is for project developers. Use -Wno-dev to suppress it.

-- Configuring done

Next step:

# cmake .
CMake Error at /usr/share/cmake-2.6/Modules/FindKDE4.cmake:72 (MESSAGE):
ERROR: cmake/modules/FindKDE4Internal.cmake not found in
/home/roberto/.kde4/share/apps;/usr/lib/kde4/share/kde4/apps
Call Stack (most recent call first):
CMakeLists.txt:5 (find_package)


CMake Warning (dev) in CMakeLists.txt:
No cmake_minimum_required command is present. A line of code such as

cmake_minimum_required(VERSION 2.6)

should be added at the top of the file. The version specified may be lower
if you wish to support older CMake versions for this project. For more
information run "cmake --help-policy CMP0000".
This warning is for project developers. Use -Wno-dev to suppress it.

-- Configuring done

# make

make: *** No targets specified and no makefile found. Stop.

I don't know what to do. I'm familiarized with qmake (from qt and make) but cmake is totally new for me, I have tried to install others plasmoid and the result is the same.

Somebody help me ? Anyway I think plasma developers should think an easy way to install plasmoid and plasma themes because actually is very difficult.

PD: Sorry for my english, I'm still learning.
- Jul 01 2008